Pepvote Support Center

List Votes

GET
/voting-events/{idOrCode}/votes

Authorization

bearerAuth
AuthorizationBearer <token>

A key in the form pepvote_api_ followed by 32 hexadecimal characters.

In: header

Header Parameters

User-Agentstringrequired

Name and version of the calling integration. Required on every request.

Path Parameters

idOrCodestringrequired

Voting event ID or code.

Query Parameters

limitinteger

Page size, 1 to 200. Defaults to 50.

  • Default value: 50
  • Minimum value: 1
  • Maximum value: 200
cursorstring

Cursor from a previous response's nextCursor.

confirmationCodestring
fromCountrystring

Response Body

application/json

curl -X GET "https://example.com/voting-events/string/votes" \  -H "User-Agent: my-app/1.0"
{
  "data": [
    {
      "id": "string",
      "votingEventId": "string",
      "positionId": "string",
      "positionTitle": "string",
      "candidateId": "string",
      "candidateName": "string",
      "confirmationCode": "string",
      "confirmed": true,
      "confirmedAt": 0,
      "channel": "string",
      "confirmedVia": "string",
      "value": 0,
      "rank": 0,
      "weight": 0,
      "quadraticCreditCost": 0,
      "votingCenterId": "string",
      "fromCountry": "string",
      "createdAt": 0
    }
  ],
  "nextCursor": "string"
}
Was this helpful?

Last updated September 6, 2026